GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Enumerations | Functions
security_connector.h File Reference
`#include <grpc/grpc_security.h>`
`#include "src/core/iomgr/endpoint.h"`
`#include "src/core/tsi/transport_security_interface.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_security_connector_vtable
struct | grpc_security_connector
struct | grpc_channel_security_connector
struct | grpc_ssl_config
struct | grpc_ssl_server_config

## Macros
#define | GRPC_SSL_URL_SCHEME "https"
#define | GRPC_FAKE_SECURITY_URL_SCHEME "http+fake_security"
#define | GRPC_SECURITY_CONNECTOR_ARG "grpc.security_connector"
#define | GRPC_SECURITY_CONNECTOR_REF(p, r) grpc_security_connector_ref((p))
#define | GRPC_SECURITY_CONNECTOR_UNREF(p, r) grpc_security_connector_unref((p))

## Typedefs
typedef struct grpc_security_connector | grpc_security_connector
typedef void(* | grpc_security_check_cb )(void *user_data, grpc_security_status status)
typedef struct grpc_channel_security_connector | grpc_channel_security_connector

## Enumerations
enum | grpc_security_status { GRPC_SECURITY_OK = 0, GRPC_SECURITY_PENDING, GRPC_SECURITY_ERROR }

## Functions
grpc_security_connector * | grpc_security_connector_ref (grpc_security_connector *policy)
void | grpc_security_connector_unref (grpc_security_connector *policy)
grpc_security_status | grpc_security_connector_create_handshaker (grpc_security_connector *sc, tsi_handshaker **handshaker)
grpc_security_status | grpc_security_connector_check_peer (grpc_security_connector *sc, tsi_peer peer, grpc_security_check_cb cb, void *user_data)
grpc_arg | grpc_security_connector_to_arg (grpc_security_connector *sc)
grpc_security_connector * | grpc_security_connector_from_arg (const grpc_arg *arg)
grpc_security_connector * | grpc_find_security_connector_in_args (const grpc_channel_args *args)
grpc_security_status | grpc_channel_security_connector_check_call_host (grpc_channel_security_connector *sc, const char *host, grpc_security_check_cb cb, void *user_data)
grpc_channel_security_connector * | grpc_fake_channel_security_connector_create (grpc_credentials *request_metadata_creds, int call_host_check_is_async)
grpc_security_connector * | grpc_fake_server_security_connector_create (void)
grpc_security_status | grpc_ssl_channel_security_connector_create (grpc_credentials *request_metadata_creds, const grpc_ssl_config *config, const char *target_name, const char *overridden_target_name, grpc_channel_security_connector **sc)
size_t | grpc_get_default_ssl_roots (const unsigned char **pem_root_certs)
grpc_security_status | grpc_ssl_server_security_connector_create (const grpc_ssl_server_config *config, grpc_security_connector **sc)
const tsi_peer_property * | tsi_peer_get_property_by_name (const tsi_peer *peer, const char *name)
grpc_auth_context * | tsi_ssl_peer_to_auth_context (const tsi_peer *peer)

## Macro Definition Documentation

#define GRPC_FAKE_SECURITY_URL_SCHEME "http+fake_security"

#define GRPC_SECURITY_CONNECTOR_ARG "grpc.security_connector"

#define GRPC_SECURITY_CONNECTOR_REF | ( |  | p,
|  |  | r
| ) |  | grpc_security_connector_ref((p))

#define GRPC_SECURITY_CONNECTOR_UNREF | ( |  | p,
|  |  | r
| ) |  | grpc_security_connector_unref((p))

#define GRPC_SSL_URL_SCHEME "https"

## Typedef Documentation

typedef struct grpc_channel_security_connector grpc_channel_security_connector

typedef void(* grpc_security_check_cb)(void *user_data, grpc_security_status status)

typedef struct grpc_security_connector grpc_security_connector

## Enumeration Type Documentation

enum grpc_security_status

Enumerator
GRPC_SECURITY_OK |
GRPC_SECURITY_PENDING |
GRPC_SECURITY_ERROR |

## Function Documentation

grpc_security_status grpc_channel_security_connector_check_call_host | ( | grpc_channel_security_connector * | sc,
|  | const char * | host,
|  | grpc_security_check_cb | cb,
|  | void * | user_data
| ) |  |

grpc_channel_security_connector* grpc_fake_channel_security_connector_create | ( | grpc_credentials * | request_metadata_creds,
|  | int | call_host_check_is_async
| ) |  |

grpc_security_connector* grpc_fake_server_security_connector_create | ( | void |  | ) |

grpc_security_connector* grpc_find_security_connector_in_args | ( | const grpc_channel_args * | args | ) |

size_t grpc_get_default_ssl_roots | ( | const unsigned char ** | pem_root_certs | ) |

grpc_security_status grpc_security_connector_check_peer | ( | grpc_security_connector * | sc,
|  | tsi_peer | peer,
|  | grpc_security_check_cb | cb,
|  | void * | user_data
| ) |  |

grpc_security_status grpc_security_connector_create_handshaker | ( | grpc_security_connector * | sc,
|  | tsi_handshaker ** | handshaker
| ) |  |

grpc_security_connector* grpc_security_connector_from_arg | ( | const grpc_arg * | arg | ) |

grpc_security_connector* grpc_security_connector_ref | ( | grpc_security_connector * | policy | ) |

grpc_arg grpc_security_connector_to_arg | ( | grpc_security_connector * | sc | ) |

void grpc_security_connector_unref | ( | grpc_security_connector * | policy | ) |

grpc_security_status grpc_ssl_channel_security_connector_create | ( | grpc_credentials * | request_metadata_creds,
|  | const grpc_ssl_config * | config,
|  | const char * | target_name,
|  | const char * | overridden_target_name,
|  | grpc_channel_security_connector ** | sc
| ) |  |

grpc_security_status grpc_ssl_server_security_connector_create | ( | const grpc_ssl_server_config * | config,
|  | grpc_security_connector ** | sc
| ) |  |

const tsi_peer_property* tsi_peer_get_property_by_name | ( | const tsi_peer * | peer,
|  | const char * | name
| ) |  |

grpc_auth_context* tsi_ssl_peer_to_auth_context | ( | const tsi_peer * | peer | ) |